[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.Destroying

Called when the component is being destroyed

## Declaration

Source position: classesh.inc line 1963

`public procedure TComponent.Destroying;`

## Description

Destroying sets the csDestroying flag in the component's state property, and does the same for all owned components.

It is not necessary to call Destroying directly, the destructor Destroy does this automatically.

## See also

State
Destroy |  | Destroys the instance of the component.